Subject: Re: [PATCH] net: dsa: mv88e6xxx: support RGMII cmode

From: Andrew Lunn <[email-masked]>
Date: Fri, 19 Aug 2022 00:02:48 +0200

On Tue, Aug 16, 2022 at 01:45:34PM +0200, Marcus Carlberg wrote:
> Since the probe defaults all interfaces to the highest speed possible
> (10GBASE-X in mv88e6393x) before the phy mode configuration from the
> devicetree is considered it is currently impossible to use port 0 in
> RGMII mode.
> 
> This change will allow RGMII modes to be configurable for port 0
> enabling port 0 to be configured as RGMII as well as serial depending
> on configuration.

Hi Marcus

Can ports 9 and 10 do RGMII? I think not. So you should validate the
phy-mode in mv88e6393x_port_set_cmode().

	 Andrew